(defparameter car-attributes
  '((buying (vhigh high med low))
    (maint (vhigh high med low))
    (doors (2 3 4 5more))
    (persons (2 4 more))
    (lug_boot (small med big))
    (safety (low med high))))

(defparameter car-categories
  '(unacc acc good vgood))

(defparameter car-instances
  '(((vhigh vhigh 2 2 small low) unacc)
    ((vhigh vhigh 2 2 small med) unacc)
    ((vhigh vhigh 2 2 small high) unacc)
    ((vhigh vhigh 2 2 med low) unacc)
    ((vhigh vhigh 2 2 med med) unacc)
    ((vhigh vhigh 2 2 med high) unacc)
    ((vhigh vhigh 2 2 big low) unacc)
    ((vhigh vhigh 2 2 big med) unacc)
    ((vhigh vhigh 2 2 big high) unacc)
    ((vhigh vhigh 2 4 small low) unacc)
    ((vhigh vhigh 2 4 small med) unacc)
    ((vhigh vhigh 2 4 small high) unacc)
    ((vhigh vhigh 2 4 med low) unacc)
    ((vhigh vhigh 2 4 med med) unacc)
    ((vhigh vhigh 2 4 med high) unacc)
    ((vhigh vhigh 2 4 big low) unacc)
    ((vhigh vhigh 2 4 big med) unacc)
    ((vhigh vhigh 2 4 big high) unacc)
    ((vhigh vhigh 2 more small low) unacc)
    ((vhigh vhigh 2 more small med) unacc)
    ((vhigh vhigh 2 more small high) unacc)
    ((vhigh vhigh 2 more med low) unacc)
    ((vhigh vhigh 2 more med med) unacc)
    ((vhigh vhigh 2 more med high) unacc)
    ((vhigh vhigh 2 more big low) unacc)
    ((vhigh vhigh 2 more big med) unacc)
    ((vhigh vhigh 2 more big high) unacc)
    ((vhigh vhigh 3 2 small low) unacc)
    ((vhigh vhigh 3 2 small med) unacc)
    ((vhigh vhigh 3 2 small high) unacc)
    ((vhigh vhigh 3 2 med low) unacc)
    ((vhigh vhigh 3 2 med med) unacc)
    ((vhigh vhigh 3 2 med high) unacc)
    ((vhigh vhigh 3 2 big low) unacc)
    ((vhigh vhigh 3 2 big med) unacc)
    ((vhigh vhigh 3 2 big high) unacc)
    ((vhigh vhigh 3 4 small low) unacc)
    ((vhigh vhigh 3 4 small med) unacc)
    ((vhigh vhigh 3 4 small high) unacc)
    ((vhigh vhigh 3 4 med low) unacc)
    ((vhigh vhigh 3 4 med med) unacc)
    ((vhigh vhigh 3 4 med high) unacc)
    ((vhigh vhigh 3 4 big low) unacc)
    ((vhigh vhigh 3 4 big med) unacc)
    ((vhigh vhigh 3 4 big high) unacc)
    ((vhigh vhigh 3 more small low) unacc)
    ((vhigh vhigh 3 more small med) unacc)
    ((vhigh vhigh 3 more small high) unacc)
    ((vhigh vhigh 3 more med low) unacc)
    ((vhigh vhigh 3 more med med) unacc)
    ((vhigh vhigh 3 more med high) unacc)
    ((vhigh vhigh 3 more big low) unacc)
    ((vhigh vhigh 3 more big med) unacc)
    ((vhigh vhigh 3 more big high) unacc)
    ((vhigh vhigh 4 2 small low) unacc)
    ((vhigh vhigh 4 2 small med) unacc)
    ((vhigh vhigh 4 2 small high) unacc)
    ((vhigh vhigh 4 2 med low) unacc)
    ((vhigh vhigh 4 2 med med) unacc)
    ((vhigh vhigh 4 2 med high) unacc)
    ((vhigh vhigh 4 2 big low) unacc)
    ((vhigh vhigh 4 2 big med) unacc)
    ((vhigh vhigh 4 2 big high) unacc)
    ((vhigh vhigh 4 4 small low) unacc)
    ((vhigh vhigh 4 4 small med) unacc)
    ((vhigh vhigh 4 4 small high) unacc)
    ((vhigh vhigh 4 4 med low) unacc)
    ((vhigh vhigh 4 4 med med) unacc)
    ((vhigh vhigh 4 4 med high) unacc)
    ((vhigh vhigh 4 4 big low) unacc)
    ((vhigh vhigh 4 4 big med) unacc)
    ((vhigh vhigh 4 4 big high) unacc)
    ((vhigh vhigh 4 more small low) unacc)
    ((vhigh vhigh 4 more small med) unacc)
    ((vhigh vhigh 4 more small high) unacc)
    ((vhigh vhigh 4 more med low) unacc)
    ((vhigh vhigh 4 more med med) unacc)
    ((vhigh vhigh 4 more med high) unacc)
    ((vhigh vhigh 4 more big low) unacc)
    ((vhigh vhigh 4 more big med) unacc)
    ((vhigh vhigh 4 more big high) unacc)
    ((vhigh vhigh 5more 2 small low) unacc)
    ((vhigh vhigh 5more 2 small med) unacc)
    ((vhigh vhigh 5more 2 small high) unacc)
    ((vhigh vhigh 5more 2 med low) unacc)
    ((vhigh vhigh 5more 2 med med) unacc)
    ((vhigh vhigh 5more 2 med high) unacc)
    ((vhigh vhigh 5more 2 big low) unacc)
    ((vhigh vhigh 5more 2 big med) unacc)
    ((vhigh vhigh 5more 2 big high) unacc)
    ((vhigh vhigh 5more 4 small low) unacc)
    ((vhigh vhigh 5more 4 small med) unacc)
    ((vhigh vhigh 5more 4 small high) unacc)
    ((vhigh vhigh 5more 4 med low) unacc)
    ((vhigh vhigh 5more 4 med med) unacc)
    ((vhigh vhigh 5more 4 med high) unacc)
    ((vhigh vhigh 5more 4 big low) unacc)
    ((vhigh vhigh 5more 4 big med) unacc)
    ((vhigh vhigh 5more 4 big high) unacc)
    ((vhigh vhigh 5more more small low) unacc)
    ((vhigh vhigh 5more more small med) unacc)
    ((vhigh vhigh 5more more small high) unacc)
    ((vhigh vhigh 5more more med low) unacc)
    ((vhigh vhigh 5more more med med) unacc)
    ((vhigh vhigh 5more more med high) unacc)
    ((vhigh vhigh 5more more big low) unacc)
    ((vhigh vhigh 5more more big med) unacc)
    ((vhigh vhigh 5more more big high) unacc)
    ((vhigh high 2 2 small low) unacc)
    ((vhigh high 2 2 small med) unacc)
    ((vhigh high 2 2 small high) unacc)
    ((vhigh high 2 2 med low) unacc)
    ((vhigh high 2 2 med med) unacc)
    ((vhigh high 2 2 med high) unacc)
    ((vhigh high 2 2 big low) unacc)
    ((vhigh high 2 2 big med) unacc)
    ((vhigh high 2 2 big high) unacc)
    ((vhigh high 2 4 small low) unacc)
    ((vhigh high 2 4 small med) unacc)
    ((vhigh high 2 4 small high) unacc)
    ((vhigh high 2 4 med low) unacc)
    ((vhigh high 2 4 med med) unacc)
    ((vhigh high 2 4 med high) unacc)
    ((vhigh high 2 4 big low) unacc)
    ((vhigh high 2 4 big med) unacc)
    ((vhigh high 2 4 big high) unacc)
    ((vhigh high 2 more small low) unacc)
    ((vhigh high 2 more small med) unacc)
    ((vhigh high 2 more small high) unacc)
    ((vhigh high 2 more med low) unacc)
    ((vhigh high 2 more med med) unacc)
    ((vhigh high 2 more med high) unacc)
    ((vhigh high 2 more big low) unacc)
    ((vhigh high 2 more big med) unacc)
    ((vhigh high 2 more big high) unacc)
    ((vhigh high 3 2 small low) unacc)
    ((vhigh high 3 2 small med) unacc)
    ((vhigh high 3 2 small high) unacc)
    ((vhigh high 3 2 med low) unacc)
    ((vhigh high 3 2 med med) unacc)
    ((vhigh high 3 2 med high) unacc)
    ((vhigh high 3 2 big low) unacc)
    ((vhigh high 3 2 big med) unacc)
    ((vhigh high 3 2 big high) unacc)
    ((vhigh high 3 4 small low) unacc)
    ((vhigh high 3 4 small med) unacc)
    ((vhigh high 3 4 small high) unacc)
    ((vhigh high 3 4 med low) unacc)
    ((vhigh high 3 4 med med) unacc)
    ((vhigh high 3 4 med high) unacc)
    ((vhigh high 3 4 big low) unacc)
    ((vhigh high 3 4 big med) unacc)
    ((vhigh high 3 4 big high) unacc)
    ((vhigh high 3 more small low) unacc)
    ((vhigh high 3 more small med) unacc)
    ((vhigh high 3 more small high) unacc)
    ((vhigh high 3 more med low) unacc)
    ((vhigh high 3 more med med) unacc)
    ((vhigh high 3 more med high) unacc)
    ((vhigh high 3 more big low) unacc)
    ((vhigh high 3 more big med) unacc)
    ((vhigh high 3 more big high) unacc)
    ((vhigh high 4 2 small low) unacc)
    ((vhigh high 4 2 small med) unacc)
    ((vhigh high 4 2 small high) unacc)
    ((vhigh high 4 2 med low) unacc)
    ((vhigh high 4 2 med med) unacc)
    ((vhigh high 4 2 med high) unacc)
    ((vhigh high 4 2 big low) unacc)
    ((vhigh high 4 2 big med) unacc)
    ((vhigh high 4 2 big high) unacc)
    ((vhigh high 4 4 small low) unacc)
    ((vhigh high 4 4 small med) unacc)
    ((vhigh high 4 4 small high) unacc)
    ((vhigh high 4 4 med low) unacc)
    ((vhigh high 4 4 med med) unacc)
    ((vhigh high 4 4 med high) unacc)
    ((vhigh high 4 4 big low) unacc)
    ((vhigh high 4 4 big med) unacc)
    ((vhigh high 4 4 big high) unacc)
    ((vhigh high 4 more small low) unacc)
    ((vhigh high 4 more small med) unacc)
    ((vhigh high 4 more small high) unacc)
    ((vhigh high 4 more med low) unacc)
    ((vhigh high 4 more med med) unacc)
    ((vhigh high 4 more med high) unacc)
    ((vhigh high 4 more big low) unacc)
    ((vhigh high 4 more big med) unacc)
    ((vhigh high 4 more big high) unacc)
    ((vhigh high 5more 2 small low) unacc)
    ((vhigh high 5more 2 small med) unacc)
    ((vhigh high 5more 2 small high) unacc)
    ((vhigh high 5more 2 med low) unacc)
    ((vhigh high 5more 2 med med) unacc)
    ((vhigh high 5more 2 med high) unacc)
    ((vhigh high 5more 2 big low) unacc)
    ((vhigh high 5more 2 big med) unacc)
    ((vhigh high 5more 2 big high) unacc)
    ((vhigh high 5more 4 small low) unacc)
    ((vhigh high 5more 4 small med) unacc)
    ((vhigh high 5more 4 small high) unacc)
    ((vhigh high 5more 4 med low) unacc)
    ((vhigh high 5more 4 med med) unacc)
    ((vhigh high 5more 4 med high) unacc)
    ((vhigh high 5more 4 big low) unacc)
    ((vhigh high 5more 4 big med) unacc)
    ((vhigh high 5more 4 big high) unacc)
    ((vhigh high 5more more small low) unacc)
    ((vhigh high 5more more small med) unacc)
    ((vhigh high 5more more small high) unacc)
    ((vhigh high 5more more med low) unacc)
    ((vhigh high 5more more med med) unacc)
    ((vhigh high 5more more med high) unacc)
    ((vhigh high 5more more big low) unacc)
    ((vhigh high 5more more big med) unacc)
    ((vhigh high 5more more big high) unacc)
    ((vhigh med 2 2 small low) unacc)
    ((vhigh med 2 2 small med) unacc)
    ((vhigh med 2 2 small high) unacc)
    ((vhigh med 2 2 med low) unacc)
    ((vhigh med 2 2 med med) unacc)
    ((vhigh med 2 2 med high) unacc)
    ((vhigh med 2 2 big low) unacc)
    ((vhigh med 2 2 big med) unacc)
    ((vhigh med 2 2 big high) unacc)
    ((vhigh med 2 4 small low) unacc)
    ((vhigh med 2 4 small med) unacc)
    ((vhigh med 2 4 small high) acc)
    ((vhigh med 2 4 med low) unacc)
    ((vhigh med 2 4 med med) unacc)
    ((vhigh med 2 4 med high) acc)
    ((vhigh med 2 4 big low) unacc)
    ((vhigh med 2 4 big med) acc)
    ((vhigh med 2 4 big high) acc)
    ((vhigh med 2 more small low) unacc)
    ((vhigh med 2 more small med) unacc)
    ((vhigh med 2 more small high) unacc)
    ((vhigh med 2 more med low) unacc)
    ((vhigh med 2 more med med) unacc)
    ((vhigh med 2 more med high) acc)
    ((vhigh med 2 more big low) unacc)
    ((vhigh med 2 more big med) acc)
    ((vhigh med 2 more big high) acc)
    ((vhigh med 3 2 small low) unacc)
    ((vhigh med 3 2 small med) unacc)
    ((vhigh med 3 2 small high) unacc)
    ((vhigh med 3 2 med low) unacc)
    ((vhigh med 3 2 med med) unacc)
    ((vhigh med 3 2 med high) unacc)
    ((vhigh med 3 2 big low) unacc)
    ((vhigh med 3 2 big med) unacc)
    ((vhigh med 3 2 big high) unacc)
    ((vhigh med 3 4 small low) unacc)
    ((vhigh med 3 4 small med) unacc)
    ((vhigh med 3 4 small high) acc)
    ((vhigh med 3 4 med low) unacc)
    ((vhigh med 3 4 med med) unacc)
    ((vhigh med 3 4 med high) acc)
    ((vhigh med 3 4 big low) unacc)
    ((vhigh med 3 4 big med) acc)
    ((vhigh med 3 4 big high) acc)
    ((vhigh med 3 more small low) unacc)
    ((vhigh med 3 more small med) unacc)
    ((vhigh med 3 more small high) acc)
    ((vhigh med 3 more med low) unacc)
    ((vhigh med 3 more med med) acc)
    ((vhigh med 3 more med high) acc)
    ((vhigh med 3 more big low) unacc)
    ((vhigh med 3 more big med) acc)
    ((vhigh med 3 more big high) acc)
    ((vhigh med 4 2 small low) unacc)
    ((vhigh med 4 2 small med) unacc)
    ((vhigh med 4 2 small high) unacc)
    ((vhigh med 4 2 med low) unacc)
    ((vhigh med 4 2 med med) unacc)
    ((vhigh med 4 2 med high) unacc)
    ((vhigh med 4 2 big low) unacc)
    ((vhigh med 4 2 big med) unacc)
    ((vhigh med 4 2 big high) unacc)
    ((vhigh med 4 4 small low) unacc)
    ((vhigh med 4 4 small med) unacc)
    ((vhigh med 4 4 small high) acc)
    ((vhigh med 4 4 med low) unacc)
    ((vhigh med 4 4 med med) acc)
    ((vhigh med 4 4 med high) acc)
    ((vhigh med 4 4 big low) unacc)
    ((vhigh med 4 4 big med) acc)
    ((vhigh med 4 4 big high) acc)
    ((vhigh med 4 more small low) unacc)
    ((vhigh med 4 more small med) unacc)
    ((vhigh med 4 more small high) acc)
    ((vhigh med 4 more med low) unacc)
    ((vhigh med 4 more med med) acc)
    ((vhigh med 4 more med high) acc)
    ((vhigh med 4 more big low) unacc)
    ((vhigh med 4 more big med) acc)
    ((vhigh med 4 more big high) acc)
    ((vhigh med 5more 2 small low) unacc)
    ((vhigh med 5more 2 small med) unacc)
    ((vhigh med 5more 2 small high) unacc)
    ((vhigh med 5more 2 med low) unacc)
    ((vhigh med 5more 2 med med) unacc)
    ((vhigh med 5more 2 med high) unacc)
    ((vhigh med 5more 2 big low) unacc)
    ((vhigh med 5more 2 big med) unacc)
    ((vhigh med 5more 2 big high) unacc)
    ((vhigh med 5more 4 small low) unacc)
    ((vhigh med 5more 4 small med) unacc)
    ((vhigh med 5more 4 small high) acc)
    ((vhigh med 5more 4 med low) unacc)
    ((vhigh med 5more 4 med med) acc)
    ((vhigh med 5more 4 med high) acc)
    ((vhigh med 5more 4 big low) unacc)
    ((vhigh med 5more 4 big med) acc)
    ((vhigh med 5more 4 big high) acc)
    ((vhigh med 5more more small low) unacc)
    ((vhigh med 5more more small med) unacc)
    ((vhigh med 5more more small high) acc)
    ((vhigh med 5more more med low) unacc)
    ((vhigh med 5more more med med) acc)
    ((vhigh med 5more more med high) acc)
    ((vhigh med 5more more big low) unacc)
    ((vhigh med 5more more big med) acc)
    ((vhigh med 5more more big high) acc)
    ((vhigh low 2 2 small low) unacc)
    ((vhigh low 2 2 small med) unacc)
    ((vhigh low 2 2 small high) unacc)
    ((vhigh low 2 2 med low) unacc)
    ((vhigh low 2 2 med med) unacc)
    ((vhigh low 2 2 med high) unacc)
    ((vhigh low 2 2 big low) unacc)
    ((vhigh low 2 2 big med) unacc)
    ((vhigh low 2 2 big high) unacc)
    ((vhigh low 2 4 small low) unacc)
    ((vhigh low 2 4 small med) unacc)
    ((vhigh low 2 4 small high) acc)
    ((vhigh low 2 4 med low) unacc)
    ((vhigh low 2 4 med med) unacc)
    ((vhigh low 2 4 med high) acc)
    ((vhigh low 2 4 big low) unacc)
    ((vhigh low 2 4 big med) acc)
    ((vhigh low 2 4 big high) acc)
    ((vhigh low 2 more small low) unacc)
    ((vhigh low 2 more small med) unacc)
    ((vhigh low 2 more small high) unacc)
    ((vhigh low 2 more med low) unacc)
    ((vhigh low 2 more med med) unacc)
    ((vhigh low 2 more med high) acc)
    ((vhigh low 2 more big low) unacc)
    ((vhigh low 2 more big med) acc)
    ((vhigh low 2 more big high) acc)
    ((vhigh low 3 2 small low) unacc)
    ((vhigh low 3 2 small med) unacc)
    ((vhigh low 3 2 small high) unacc)
    ((vhigh low 3 2 med low) unacc)
    ((vhigh low 3 2 med med) unacc)
    ((vhigh low 3 2 med high) unacc)
    ((vhigh low 3 2 big low) unacc)
    ((vhigh low 3 2 big med) unacc)
    ((vhigh low 3 2 big high) unacc)
    ((vhigh low 3 4 small low) unacc)
    ((vhigh low 3 4 small med) unacc)
    ((vhigh low 3 4 small high) acc)
    ((vhigh low 3 4 med low) unacc)
    ((vhigh low 3 4 med med) unacc)
    ((vhigh low 3 4 med high) acc)
    ((vhigh low 3 4 big low) unacc)
    ((vhigh low 3 4 big med) acc)
    ((vhigh low 3 4 big high) acc)
    ((vhigh low 3 more small low) unacc)
    ((vhigh low 3 more small med) unacc)
    ((vhigh low 3 more small high) acc)
    ((vhigh low 3 more med low) unacc)
    ((vhigh low 3 more med med) acc)
    ((vhigh low 3 more med high) acc)
    ((vhigh low 3 more big low) unacc)
    ((vhigh low 3 more big med) acc)
    ((vhigh low 3 more big high) acc)
    ((vhigh low 4 2 small low) unacc)
    ((vhigh low 4 2 small med) unacc)
    ((vhigh low 4 2 small high) unacc)
    ((vhigh low 4 2 med low) unacc)
    ((vhigh low 4 2 med med) unacc)
    ((vhigh low 4 2 med high) unacc)
    ((vhigh low 4 2 big low) unacc)
    ((vhigh low 4 2 big med) unacc)
    ((vhigh low 4 2 big high) unacc)
    ((vhigh low 4 4 small low) unacc)
    ((vhigh low 4 4 small med) unacc)
    ((vhigh low 4 4 small high) acc)
    ((vhigh low 4 4 med low) unacc)
    ((vhigh low 4 4 med med) acc)
    ((vhigh low 4 4 med high) acc)
    ((vhigh low 4 4 big low) unacc)
    ((vhigh low 4 4 big med) acc)
    ((vhigh low 4 4 big high) acc)
    ((vhigh low 4 more small low) unacc)
    ((vhigh low 4 more small med) unacc)
    ((vhigh low 4 more small high) acc)
    ((vhigh low 4 more med low) unacc)
    ((vhigh low 4 more med med) acc)
    ((vhigh low 4 more med high) acc)
    ((vhigh low 4 more big low) unacc)
    ((vhigh low 4 more big med) acc)
    ((vhigh low 4 more big high) acc)
    ((vhigh low 5more 2 small low) unacc)
    ((vhigh low 5more 2 small med) unacc)
    ((vhigh low 5more 2 small high) unacc)
    ((vhigh low 5more 2 med low) unacc)
    ((vhigh low 5more 2 med med) unacc)
    ((vhigh low 5more 2 med high) unacc)
    ((vhigh low 5more 2 big low) unacc)
    ((vhigh low 5more 2 big med) unacc)
    ((vhigh low 5more 2 big high) unacc)
    ((vhigh low 5more 4 small low) unacc)
    ((vhigh low 5more 4 small med) unacc)
    ((vhigh low 5more 4 small high) acc)
    ((vhigh low 5more 4 med low) unacc)
    ((vhigh low 5more 4 med med) acc)
    ((vhigh low 5more 4 med high) acc)
    ((vhigh low 5more 4 big low) unacc)
    ((vhigh low 5more 4 big med) acc)
    ((vhigh low 5more 4 big high) acc)
    ((vhigh low 5more more small low) unacc)
    ((vhigh low 5more more small med) unacc)
    ((vhigh low 5more more small high) acc)
    ((vhigh low 5more more med low) unacc)
    ((vhigh low 5more more med med) acc)
    ((vhigh low 5more more med high) acc)
    ((vhigh low 5more more big low) unacc)
    ((vhigh low 5more more big med) acc)
    ((vhigh low 5more more big high) acc)
    ((high vhigh 2 2 small low) unacc)
    ((high vhigh 2 2 small med) unacc)
    ((high vhigh 2 2 small high) unacc)
    ((high vhigh 2 2 med low) unacc)
    ((high vhigh 2 2 med med) unacc)
    ((high vhigh 2 2 med high) unacc)
    ((high vhigh 2 2 big low) unacc)
    ((high vhigh 2 2 big med) unacc)
    ((high vhigh 2 2 big high) unacc)
    ((high vhigh 2 4 small low) unacc)
    ((high vhigh 2 4 small med) unacc)
    ((high vhigh 2 4 small high) unacc)
    ((high vhigh 2 4 med low) unacc)
    ((high vhigh 2 4 med med) unacc)
    ((high vhigh 2 4 med high) unacc)
    ((high vhigh 2 4 big low) unacc)
    ((high vhigh 2 4 big med) unacc)
    ((high vhigh 2 4 big high) unacc)
    ((high vhigh 2 more small low) unacc)
    ((high vhigh 2 more small med) unacc)
    ((high vhigh 2 more small high) unacc)
    ((high vhigh 2 more med low) unacc)
    ((high vhigh 2 more med med) unacc)
    ((high vhigh 2 more med high) unacc)
    ((high vhigh 2 more big low) unacc)
    ((high vhigh 2 more big med) unacc)
    ((high vhigh 2 more big high) unacc)
    ((high vhigh 3 2 small low) unacc)
    ((high vhigh 3 2 small med) unacc)
    ((high vhigh 3 2 small high) unacc)
    ((high vhigh 3 2 med low) unacc)
    ((high vhigh 3 2 med med) unacc)
    ((high vhigh 3 2 med high) unacc)
    ((high vhigh 3 2 big low) unacc)
    ((high vhigh 3 2 big med) unacc)
    ((high vhigh 3 2 big high) unacc)
    ((high vhigh 3 4 small low) unacc)
    ((high vhigh 3 4 small med) unacc)
    ((high vhigh 3 4 small high) unacc)
    ((high vhigh 3 4 med low) unacc)
    ((high vhigh 3 4 med med) unacc)
    ((high vhigh 3 4 med high) unacc)
    ((high vhigh 3 4 big low) unacc)
    ((high vhigh 3 4 big med) unacc)
    ((high vhigh 3 4 big high) unacc)
    ((high vhigh 3 more small low) unacc)
    ((high vhigh 3 more small med) unacc)
    ((high vhigh 3 more small high) unacc)
    ((high vhigh 3 more med low) unacc)
    ((high vhigh 3 more med med) unacc)
    ((high vhigh 3 more med high) unacc)
    ((high vhigh 3 more big low) unacc)
    ((high vhigh 3 more big med) unacc)
    ((high vhigh 3 more big high) unacc)
    ((high vhigh 4 2 small low) unacc)
    ((high vhigh 4 2 small med) unacc)
    ((high vhigh 4 2 small high) unacc)
    ((high vhigh 4 2 med low) unacc)
    ((high vhigh 4 2 med med) unacc)
    ((high vhigh 4 2 med high) unacc)
    ((high vhigh 4 2 big low) unacc)
    ((high vhigh 4 2 big med) unacc)
    ((high vhigh 4 2 big high) unacc)
    ((high vhigh 4 4 small low) unacc)
    ((high vhigh 4 4 small med) unacc)
    ((high vhigh 4 4 small high) unacc)
    ((high vhigh 4 4 med low) unacc)
    ((high vhigh 4 4 med med) unacc)
    ((high vhigh 4 4 med high) unacc)
    ((high vhigh 4 4 big low) unacc)
    ((high vhigh 4 4 big med) unacc)
    ((high vhigh 4 4 big high) unacc)
    ((high vhigh 4 more small low) unacc)
    ((high vhigh 4 more small med) unacc)
    ((high vhigh 4 more small high) unacc)
    ((high vhigh 4 more med low) unacc)
    ((high vhigh 4 more med med) unacc)
    ((high vhigh 4 more med high) unacc)
    ((high vhigh 4 more big low) unacc)
    ((high vhigh 4 more big med) unacc)
    ((high vhigh 4 more big high) unacc)
    ((high vhigh 5more 2 small low) unacc)
    ((high vhigh 5more 2 small med) unacc)
    ((high vhigh 5more 2 small high) unacc)
    ((high vhigh 5more 2 med low) unacc)
    ((high vhigh 5more 2 med med) unacc)
    ((high vhigh 5more 2 med high) unacc)
    ((high vhigh 5more 2 big low) unacc)
    ((high vhigh 5more 2 big med) unacc)
    ((high vhigh 5more 2 big high) unacc)
    ((high vhigh 5more 4 small low) unacc)
    ((high vhigh 5more 4 small med) unacc)
    ((high vhigh 5more 4 small high) unacc)
    ((high vhigh 5more 4 med low) unacc)
    ((high vhigh 5more 4 med med) unacc)
    ((high vhigh 5more 4 med high) unacc)
    ((high vhigh 5more 4 big low) unacc)
    ((high vhigh 5more 4 big med) unacc)
    ((high vhigh 5more 4 big high) unacc)
    ((high vhigh 5more more small low) unacc)
    ((high vhigh 5more more small med) unacc)
    ((high vhigh 5more more small high) unacc)
    ((high vhigh 5more more med low) unacc)
    ((high vhigh 5more more med med) unacc)
    ((high vhigh 5more more med high) unacc)
    ((high vhigh 5more more big low) unacc)
    ((high vhigh 5more more big med) unacc)
    ((high vhigh 5more more big high) unacc)
    ((high high 2 2 small low) unacc)
    ((high high 2 2 small med) unacc)
    ((high high 2 2 small high) unacc)
    ((high high 2 2 med low) unacc)
    ((high high 2 2 med med) unacc)
    ((high high 2 2 med high) unacc)
    ((high high 2 2 big low) unacc)
    ((high high 2 2 big med) unacc)
    ((high high 2 2 big high) unacc)
    ((high high 2 4 small low) unacc)
    ((high high 2 4 small med) unacc)
    ((high high 2 4 small high) acc)
    ((high high 2 4 med low) unacc)
    ((high high 2 4 med med) unacc)
    ((high high 2 4 med high) acc)
    ((high high 2 4 big low) unacc)
    ((high high 2 4 big med) acc)
    ((high high 2 4 big high) acc)
    ((high high 2 more small low) unacc)
    ((high high 2 more small med) unacc)
    ((high high 2 more small high) unacc)
    ((high high 2 more med low) unacc)
    ((high high 2 more med med) unacc)
    ((high high 2 more med high) acc)
    ((high high 2 more big low) unacc)
    ((high high 2 more big med) acc)
    ((high high 2 more big high) acc)
    ((high high 3 2 small low) unacc)
    ((high high 3 2 small med) unacc)
    ((high high 3 2 small high) unacc)
    ((high high 3 2 med low) unacc)
    ((high high 3 2 med med) unacc)
    ((high high 3 2 med high) unacc)
    ((high high 3 2 big low) unacc)
    ((high high 3 2 big med) unacc)
    ((high high 3 2 big high) unacc)
    ((high high 3 4 small low) unacc)
    ((high high 3 4 small med) unacc)
    ((high high 3 4 small high) acc)
    ((high high 3 4 med low) unacc)
    ((high high 3 4 med med) unacc)
    ((high high 3 4 med high) acc)
    ((high high 3 4 big low) unacc)
    ((high high 3 4 big med) acc)
    ((high high 3 4 big high) acc)
    ((high high 3 more small low) unacc)
    ((high high 3 more small med) unacc)
    ((high high 3 more small high) acc)
    ((high high 3 more med low) unacc)
    ((high high 3 more med med) acc)
    ((high high 3 more med high) acc)
    ((high high 3 more big low) unacc)
    ((high high 3 more big med) acc)
    ((high high 3 more big high) acc)
    ((high high 4 2 small low) unacc)
    ((high high 4 2 small med) unacc)
    ((high high 4 2 small high) unacc)
    ((high high 4 2 med low) unacc)
    ((high high 4 2 med med) unacc)
    ((high high 4 2 med high) unacc)
    ((high high 4 2 big low) unacc)
    ((high high 4 2 big med) unacc)
    ((high high 4 2 big high) unacc)
    ((high high 4 4 small low) unacc)
    ((high high 4 4 small med) unacc)
    ((high high 4 4 small high) acc)
    ((high high 4 4 med low) unacc)
    ((high high 4 4 med med) acc)
    ((high high 4 4 med high) acc)
    ((high high 4 4 big low) unacc)
    ((high high 4 4 big med) acc)
    ((high high 4 4 big high) acc)
    ((high high 4 more small low) unacc)
    ((high high 4 more small med) unacc)
    ((high high 4 more small high) acc)
    ((high high 4 more med low) unacc)
    ((high high 4 more med med) acc)
    ((high high 4 more med high) acc)
    ((high high 4 more big low) unacc)
    ((high high 4 more big med) acc)
    ((high high 4 more big high) acc)
    ((high high 5more 2 small low) unacc)
    ((high high 5more 2 small med) unacc)
    ((high high 5more 2 small high) unacc)
    ((high high 5more 2 med low) unacc)
    ((high high 5more 2 med med) unacc)
    ((high high 5more 2 med high) unacc)
    ((high high 5more 2 big low) unacc)
    ((high high 5more 2 big med) unacc)
    ((high high 5more 2 big high) unacc)
    ((high high 5more 4 small low) unacc)
    ((high high 5more 4 small med) unacc)
    ((high high 5more 4 small high) acc)
    ((high high 5more 4 med low) unacc)
    ((high high 5more 4 med med) acc)
    ((high high 5more 4 med high) acc)
    ((high high 5more 4 big low) unacc)
    ((high high 5more 4 big med) acc)
    ((high high 5more 4 big high) acc)
    ((high high 5more more small low) unacc)
    ((high high 5more more small med) unacc)
    ((high high 5more more small high) acc)
    ((high high 5more more med low) unacc)
    ((high high 5more more med med) acc)
    ((high high 5more more med high) acc)
    ((high high 5more more big low) unacc)
    ((high high 5more more big med) acc)
    ((high high 5more more big high) acc)
    ((high med 2 2 small low) unacc)
    ((high med 2 2 small med) unacc)
    ((high med 2 2 small high) unacc)
    ((high med 2 2 med low) unacc)
    ((high med 2 2 med med) unacc)
    ((high med 2 2 med high) unacc)
    ((high med 2 2 big low) unacc)
    ((high med 2 2 big med) unacc)
    ((high med 2 2 big high) unacc)
    ((high med 2 4 small low) unacc)
    ((high med 2 4 small med) unacc)
    ((high med 2 4 small high) acc)
    ((high med 2 4 med low) unacc)
    ((high med 2 4 med med) unacc)
    ((high med 2 4 med high) acc)
    ((high med 2 4 big low) unacc)
    ((high med 2 4 big med) acc)
    ((high med 2 4 big high) acc)
    ((high med 2 more small low) unacc)
    ((high med 2 more small med) unacc)
    ((high med 2 more small high) unacc)
    ((high med 2 more med low) unacc)
    ((high med 2 more med med) unacc)
    ((high med 2 more med high) acc)
    ((high med 2 more big low) unacc)
    ((high med 2 more big med) acc)
    ((high med 2 more big high) acc)
    ((high med 3 2 small low) unacc)
    ((high med 3 2 small med) unacc)
    ((high med 3 2 small high) unacc)
    ((high med 3 2 med low) unacc)
    ((high med 3 2 med med) unacc)
    ((high med 3 2 med high) unacc)
    ((high med 3 2 big low) unacc)
    ((high med 3 2 big med) unacc)
    ((high med 3 2 big high) unacc)
    ((high med 3 4 small low) unacc)
    ((high med 3 4 small med) unacc)
    ((high med 3 4 small high) acc)
    ((high med 3 4 med low) unacc)
    ((high med 3 4 med med) unacc)
    ((high med 3 4 med high) acc)
    ((high med 3 4 big low) unacc)
    ((high med 3 4 big med) acc)
    ((high med 3 4 big high) acc)
    ((high med 3 more small low) unacc)
    ((high med 3 more small med) unacc)
    ((high med 3 more small high) acc)
    ((high med 3 more med low) unacc)
    ((high med 3 more med med) acc)
    ((high med 3 more med high) acc)
    ((high med 3 more big low) unacc)
    ((high med 3 more big med) acc)
    ((high med 3 more big high) acc)
    ((high med 4 2 small low) unacc)
    ((high med 4 2 small med) unacc)
    ((high med 4 2 small high) unacc)
    ((high med 4 2 med low) unacc)
    ((high med 4 2 med med) unacc)
    ((high med 4 2 med high) unacc)
    ((high med 4 2 big low) unacc)
    ((high med 4 2 big med) unacc)
    ((high med 4 2 big high) unacc)
    ((high med 4 4 small low) unacc)
    ((high med 4 4 small med) unacc)
    ((high med 4 4 small high) acc)
    ((high med 4 4 med low) unacc)
    ((high med 4 4 med med) acc)
    ((high med 4 4 med high) acc)
    ((high med 4 4 big low) unacc)
    ((high med 4 4 big med) acc)
    ((high med 4 4 big high) acc)
    ((high med 4 more small low) unacc)
    ((high med 4 more small med) unacc)
    ((high med 4 more small high) acc)
    ((high med 4 more med low) unacc)
    ((high med 4 more med med) acc)
    ((high med 4 more med high) acc)
    ((high med 4 more big low) unacc)
    ((high med 4 more big med) acc)
    ((high med 4 more big high) acc)
    ((high med 5more 2 small low) unacc)
    ((high med 5more 2 small med) unacc)
    ((high med 5more 2 small high) unacc)
    ((high med 5more 2 med low) unacc)
    ((high med 5more 2 med med) unacc)
    ((high med 5more 2 med high) unacc)
    ((high med 5more 2 big low) unacc)
    ((high med 5more 2 big med) unacc)
    ((high med 5more 2 big high) unacc)
    ((high med 5more 4 small low) unacc)
    ((high med 5more 4 small med) unacc)
    ((high med 5more 4 small high) acc)
    ((high med 5more 4 med low) unacc)
    ((high med 5more 4 med med) acc)
    ((high med 5more 4 med high) acc)
    ((high med 5more 4 big low) unacc)
    ((high med 5more 4 big med) acc)
    ((high med 5more 4 big high) acc)
    ((high med 5more more small low) unacc)
    ((high med 5more more small med) unacc)
    ((high med 5more more small high) acc)
    ((high med 5more more med low) unacc)
    ((high med 5more more med med) acc)
    ((high med 5more more med high) acc)
    ((high med 5more more big low) unacc)
    ((high med 5more more big med) acc)
    ((high med 5more more big high) acc)
    ((high low 2 2 small low) unacc)
    ((high low 2 2 small med) unacc)
    ((high low 2 2 small high) unacc)
    ((high low 2 2 med low) unacc)
    ((high low 2 2 med med) unacc)
    ((high low 2 2 med high) unacc)
    ((high low 2 2 big low) unacc)
    ((high low 2 2 big med) unacc)
    ((high low 2 2 big high) unacc)
    ((high low 2 4 small low) unacc)
    ((high low 2 4 small med) unacc)
    ((high low 2 4 small high) acc)
    ((high low 2 4 med low) unacc)
    ((high low 2 4 med med) unacc)
    ((high low 2 4 med high) acc)
    ((high low 2 4 big low) unacc)
    ((high low 2 4 big med) acc)
    ((high low 2 4 big high) acc)
    ((high low 2 more small low) unacc)
    ((high low 2 more small med) unacc)
    ((high low 2 more small high) unacc)
    ((high low 2 more med low) unacc)
    ((high low 2 more med med) unacc)
    ((high low 2 more med high) acc)
    ((high low 2 more big low) unacc)
    ((high low 2 more big med) acc)
    ((high low 2 more big high) acc)
    ((high low 3 2 small low) unacc)
    ((high low 3 2 small med) unacc)
    ((high low 3 2 small high) unacc)
    ((high low 3 2 med low) unacc)
    ((high low 3 2 med med) unacc)
    ((high low 3 2 med high) unacc)
    ((high low 3 2 big low) unacc)
    ((high low 3 2 big med) unacc)
    ((high low 3 2 big high) unacc)
    ((high low 3 4 small low) unacc)
    ((high low 3 4 small med) unacc)
    ((high low 3 4 small high) acc)
    ((high low 3 4 med low) unacc)
    ((high low 3 4 med med) unacc)
    ((high low 3 4 med high) acc)
    ((high low 3 4 big low) unacc)
    ((high low 3 4 big med) acc)
    ((high low 3 4 big high) acc)
    ((high low 3 more small low) unacc)
    ((high low 3 more small med) unacc)
    ((high low 3 more small high) acc)
    ((high low 3 more med low) unacc)
    ((high low 3 more med med) acc)
    ((high low 3 more med high) acc)
    ((high low 3 more big low) unacc)
    ((high low 3 more big med) acc)
    ((high low 3 more big high) acc)
    ((high low 4 2 small low) unacc)
    ((high low 4 2 small med) unacc)
    ((high low 4 2 small high) unacc)
    ((high low 4 2 med low) unacc)
    ((high low 4 2 med med) unacc)
    ((high low 4 2 med high) unacc)
    ((high low 4 2 big low) unacc)
    ((high low 4 2 big med) unacc)
    ((high low 4 2 big high) unacc)
    ((high low 4 4 small low) unacc)
    ((high low 4 4 small med) unacc)
    ((high low 4 4 small high) acc)
    ((high low 4 4 med low) unacc)
    ((high low 4 4 med med) acc)
    ((high low 4 4 med high) acc)
    ((high low 4 4 big low) unacc)
    ((high low 4 4 big med) acc)
    ((high low 4 4 big high) acc)
    ((high low 4 more small low) unacc)
    ((high low 4 more small med) unacc)
    ((high low 4 more small high) acc)
    ((high low 4 more med low) unacc)
    ((high low 4 more med med) acc)
    ((high low 4 more med high) acc)
    ((high low 4 more big low) unacc)
    ((high low 4 more big med) acc)
    ((high low 4 more big high) acc)
    ((high low 5more 2 small low) unacc)
    ((high low 5more 2 small med) unacc)
    ((high low 5more 2 small high) unacc)
    ((high low 5more 2 med low) unacc)
    ((high low 5more 2 med med) unacc)
    ((high low 5more 2 med high) unacc)
    ((high low 5more 2 big low) unacc)
    ((high low 5more 2 big med) unacc)
    ((high low 5more 2 big high) unacc)
    ((high low 5more 4 small low) unacc)
    ((high low 5more 4 small med) unacc)
    ((high low 5more 4 small high) acc)
    ((high low 5more 4 med low) unacc)
    ((high low 5more 4 med med) acc)
    ((high low 5more 4 med high) acc)
    ((high low 5more 4 big low) unacc)
    ((high low 5more 4 big med) acc)
    ((high low 5more 4 big high) acc)
    ((high low 5more more small low) unacc)
    ((high low 5more more small med) unacc)
    ((high low 5more more small high) acc)
    ((high low 5more more med low) unacc)
    ((high low 5more more med med) acc)
    ((high low 5more more med high) acc)
    ((high low 5more more big low) unacc)
    ((high low 5more more big med) acc)
    ((high low 5more more big high) acc)
    ((med vhigh 2 2 small low) unacc)
    ((med vhigh 2 2 small med) unacc)
    ((med vhigh 2 2 small high) unacc)
    ((med vhigh 2 2 med low) unacc)
    ((med vhigh 2 2 med med) unacc)
    ((med vhigh 2 2 med high) unacc)
    ((med vhigh 2 2 big low) unacc)
    ((med vhigh 2 2 big med) unacc)
    ((med vhigh 2 2 big high) unacc)
    ((med vhigh 2 4 small low) unacc)
    ((med vhigh 2 4 small med) unacc)
    ((med vhigh 2 4 small high) acc)
    ((med vhigh 2 4 med low) unacc)
    ((med vhigh 2 4 med med) unacc)
    ((med vhigh 2 4 med high) acc)
    ((med vhigh 2 4 big low) unacc)
    ((med vhigh 2 4 big med) acc)
    ((med vhigh 2 4 big high) acc)
    ((med vhigh 2 more small low) unacc)
    ((med vhigh 2 more small med) unacc)
    ((med vhigh 2 more small high) unacc)
    ((med vhigh 2 more med low) unacc)
    ((med vhigh 2 more med med) unacc)
    ((med vhigh 2 more med high) acc)
    ((med vhigh 2 more big low) unacc)
    ((med vhigh 2 more big med) acc)
    ((med vhigh 2 more big high) acc)
    ((med vhigh 3 2 small low) unacc)
    ((med vhigh 3 2 small med) unacc)
    ((med vhigh 3 2 small high) unacc)
    ((med vhigh 3 2 med low) unacc)
    ((med vhigh 3 2 med med) unacc)
    ((med vhigh 3 2 med high) unacc)
    ((med vhigh 3 2 big low) unacc)
    ((med vhigh 3 2 big med) unacc)
    ((med vhigh 3 2 big high) unacc)
    ((med vhigh 3 4 small low) unacc)
    ((med vhigh 3 4 small med) unacc)
    ((med vhigh 3 4 small high) acc)
    ((med vhigh 3 4 med low) unacc)
    ((med vhigh 3 4 med med) unacc)
    ((med vhigh 3 4 med high) acc)
    ((med vhigh 3 4 big low) unacc)
    ((med vhigh 3 4 big med) acc)
    ((med vhigh 3 4 big high) acc)
    ((med vhigh 3 more small low) unacc)
    ((med vhigh 3 more small med) unacc)
    ((med vhigh 3 more small high) acc)
    ((med vhigh 3 more med low) unacc)
    ((med vhigh 3 more med med) acc)
    ((med vhigh 3 more med high) acc)
    ((med vhigh 3 more big low) unacc)
    ((med vhigh 3 more big med) acc)
    ((med vhigh 3 more big high) acc)
    ((med vhigh 4 2 small low) unacc)
    ((med vhigh 4 2 small med) unacc)
    ((med vhigh 4 2 small high) unacc)
    ((med vhigh 4 2 med low) unacc)
    ((med vhigh 4 2 med med) unacc)
    ((med vhigh 4 2 med high) unacc)
    ((med vhigh 4 2 big low) unacc)
    ((med vhigh 4 2 big med) unacc)
    ((med vhigh 4 2 big high) unacc)
    ((med vhigh 4 4 small low) unacc)
    ((med vhigh 4 4 small med) unacc)
    ((med vhigh 4 4 small high) acc)
    ((med vhigh 4 4 med low) unacc)
    ((med vhigh 4 4 med med) acc)
    ((med vhigh 4 4 med high) acc)
    ((med vhigh 4 4 big low) unacc)
    ((med vhigh 4 4 big med) acc)
    ((med vhigh 4 4 big high) acc)
    ((med vhigh 4 more small low) unacc)
    ((med vhigh 4 more small med) unacc)
    ((med vhigh 4 more small high) acc)
    ((med vhigh 4 more med low) unacc)
    ((med vhigh 4 more med med) acc)
    ((med vhigh 4 more med high) acc)
    ((med vhigh 4 more big low) unacc)
    ((med vhigh 4 more big med) acc)
    ((med vhigh 4 more big high) acc)
    ((med vhigh 5more 2 small low) unacc)
    ((med vhigh 5more 2 small med) unacc)
    ((med vhigh 5more 2 small high) unacc)
    ((med vhigh 5more 2 med low) unacc)
    ((med vhigh 5more 2 med med) unacc)
    ((med vhigh 5more 2 med high) unacc)
    ((med vhigh 5more 2 big low) unacc)
    ((med vhigh 5more 2 big med) unacc)
    ((med vhigh 5more 2 big high) unacc)
    ((med vhigh 5more 4 small low) unacc)
    ((med vhigh 5more 4 small med) unacc)
    ((med vhigh 5more 4 small high) acc)
    ((med vhigh 5more 4 med low) unacc)
    ((med vhigh 5more 4 med med) acc)
    ((med vhigh 5more 4 med high) acc)
    ((med vhigh 5more 4 big low) unacc)
    ((med vhigh 5more 4 big med) acc)
    ((med vhigh 5more 4 big high) acc)
    ((med vhigh 5more more small low) unacc)
    ((med vhigh 5more more small med) unacc)
    ((med vhigh 5more more small high) acc)
    ((med vhigh 5more more med low) unacc)
    ((med vhigh 5more more med med) acc)
    ((med vhigh 5more more med high) acc)
    ((med vhigh 5more more big low) unacc)
    ((med vhigh 5more more big med) acc)
    ((med vhigh 5more more big high) acc)
    ((med high 2 2 small low) unacc)
    ((med high 2 2 small med) unacc)
    ((med high 2 2 small high) unacc)
    ((med high 2 2 med low) unacc)
    ((med high 2 2 med med) unacc)
    ((med high 2 2 med high) unacc)
    ((med high 2 2 big low) unacc)
    ((med high 2 2 big med) unacc)
    ((med high 2 2 big high) unacc)
    ((med high 2 4 small low) unacc)
    ((med high 2 4 small med) unacc)
    ((med high 2 4 small high) acc)
    ((med high 2 4 med low) unacc)
    ((med high 2 4 med med) unacc)
    ((med high 2 4 med high) acc)
    ((med high 2 4 big low) unacc)
    ((med high 2 4 big med) acc)
    ((med high 2 4 big high) acc)
    ((med high 2 more small low) unacc)
    ((med high 2 more small med) unacc)
    ((med high 2 more small high) unacc)
    ((med high 2 more med low) unacc)
    ((med high 2 more med med) unacc)
    ((med high 2 more med high) acc)
    ((med high 2 more big low) unacc)
    ((med high 2 more big med) acc)
    ((med high 2 more big high) acc)
    ((med high 3 2 small low) unacc)
    ((med high 3 2 small med) unacc)
    ((med high 3 2 small high) unacc)
    ((med high 3 2 med low) unacc)
    ((med high 3 2 med med) unacc)
    ((med high 3 2 med high) unacc)
    ((med high 3 2 big low) unacc)
    ((med high 3 2 big med) unacc)
    ((med high 3 2 big high) unacc)
    ((med high 3 4 small low) unacc)
    ((med high 3 4 small med) unacc)
    ((med high 3 4 small high) acc)
    ((med high 3 4 med low) unacc)
    ((med high 3 4 med med) unacc)
    ((med high 3 4 med high) acc)
    ((med high 3 4 big low) unacc)
    ((med high 3 4 big med) acc)
    ((med high 3 4 big high) acc)
    ((med high 3 more small low) unacc)
    ((med high 3 more small med) unacc)
    ((med high 3 more small high) acc)
    ((med high 3 more med low) unacc)
    ((med high 3 more med med) acc)
    ((med high 3 more med high) acc)
    ((med high 3 more big low) unacc)
    ((med high 3 more big med) acc)
    ((med high 3 more big high) acc)
    ((med high 4 2 small low) unacc)
    ((med high 4 2 small med) unacc)
    ((med high 4 2 small high) unacc)
    ((med high 4 2 med low) unacc)
    ((med high 4 2 med med) unacc)
    ((med high 4 2 med high) unacc)
    ((med high 4 2 big low) unacc)
    ((med high 4 2 big med) unacc)
    ((med high 4 2 big high) unacc)
    ((med high 4 4 small low) unacc)
    ((med high 4 4 small med) unacc)
    ((med high 4 4 small high) acc)
    ((med high 4 4 med low) unacc)
    ((med high 4 4 med med) acc)
    ((med high 4 4 med high) acc)
    ((med high 4 4 big low) unacc)
    ((med high 4 4 big med) acc)
    ((med high 4 4 big high) acc)
    ((med high 4 more small low) unacc)
    ((med high 4 more small med) unacc)
    ((med high 4 more small high) acc)
    ((med high 4 more med low) unacc)
    ((med high 4 more med med) acc)
    ((med high 4 more med high) acc)
    ((med high 4 more big low) unacc)
    ((med high 4 more big med) acc)
    ((med high 4 more big high) acc)
    ((med high 5more 2 small low) unacc)
    ((med high 5more 2 small med) unacc)
    ((med high 5more 2 small high) unacc)
    ((med high 5more 2 med low) unacc)
    ((med high 5more 2 med med) unacc)
    ((med high 5more 2 med high) unacc)
    ((med high 5more 2 big low) unacc)
    ((med high 5more 2 big med) unacc)
    ((med high 5more 2 big high) unacc)
    ((med high 5more 4 small low) unacc)
    ((med high 5more 4 small med) unacc)
    ((med high 5more 4 small high) acc)
    ((med high 5more 4 med low) unacc)
    ((med high 5more 4 med med) acc)
    ((med high 5more 4 med high) acc)
    ((med high 5more 4 big low) unacc)
    ((med high 5more 4 big med) acc)
    ((med high 5more 4 big high) acc)
    ((med high 5more more small low) unacc)
    ((med high 5more more small med) unacc)
    ((med high 5more more small high) acc)
    ((med high 5more more med low) unacc)
    ((med high 5more more med med) acc)
    ((med high 5more more med high) acc)
    ((med high 5more more big low) unacc)
    ((med high 5more more big med) acc)
    ((med high 5more more big high) acc)
    ((med med 2 2 small low) unacc)
    ((med med 2 2 small med) unacc)
    ((med med 2 2 small high) unacc)
    ((med med 2 2 med low) unacc)
    ((med med 2 2 med med) unacc)
    ((med med 2 2 med high) unacc)
    ((med med 2 2 big low) unacc)
    ((med med 2 2 big med) unacc)
    ((med med 2 2 big high) unacc)
    ((med med 2 4 small low) unacc)
    ((med med 2 4 small med) acc)
    ((med med 2 4 small high) acc)
    ((med med 2 4 med low) unacc)
    ((med med 2 4 med med) acc)
    ((med med 2 4 med high) acc)
    ((med med 2 4 big low) unacc)
    ((med med 2 4 big med) acc)
    ((med med 2 4 big high) vgood)
    ((med med 2 more small low) unacc)
    ((med med 2 more small med) unacc)
    ((med med 2 more small high) unacc)
    ((med med 2 more med low) unacc)
    ((med med 2 more med med) acc)
    ((med med 2 more med high) acc)
    ((med med 2 more big low) unacc)
    ((med med 2 more big med) acc)
    ((med med 2 more big high) vgood)
    ((med med 3 2 small low) unacc)
    ((med med 3 2 small med) unacc)
    ((med med 3 2 small high) unacc)
    ((med med 3 2 med low) unacc)
    ((med med 3 2 med med) unacc)
    ((med med 3 2 med high) unacc)
    ((med med 3 2 big low) unacc)
    ((med med 3 2 big med) unacc)
    ((med med 3 2 big high) unacc)
    ((med med 3 4 small low) unacc)
    ((med med 3 4 small med) acc)
    ((med med 3 4 small high) acc)
    ((med med 3 4 med low) unacc)
    ((med med 3 4 med med) acc)
    ((med med 3 4 med high) acc)
    ((med med 3 4 big low) unacc)
    ((med med 3 4 big med) acc)
    ((med med 3 4 big high) vgood)
    ((med med 3 more small low) unacc)
    ((med med 3 more small med) acc)
    ((med med 3 more small high) acc)
    ((med med 3 more med low) unacc)
    ((med med 3 more med med) acc)
    ((med med 3 more med high) vgood)
    ((med med 3 more big low) unacc)
    ((med med 3 more big med) acc)
    ((med med 3 more big high) vgood)
    ((med med 4 2 small low) unacc)
    ((med med 4 2 small med) unacc)
    ((med med 4 2 small high) unacc)
    ((med med 4 2 med low) unacc)
    ((med med 4 2 med med) unacc)
    ((med med 4 2 med high) unacc)
    ((med med 4 2 big low) unacc)
    ((med med 4 2 big med) unacc)
    ((med med 4 2 big high) unacc)
    ((med med 4 4 small low) unacc)
    ((med med 4 4 small med) acc)
    ((med med 4 4 small high) acc)
    ((med med 4 4 med low) unacc)
    ((med med 4 4 med med) acc)
    ((med med 4 4 med high) vgood)
    ((med med 4 4 big low) unacc)
    ((med med 4 4 big med) acc)
    ((med med 4 4 big high) vgood)
    ((med med 4 more small low) unacc)
    ((med med 4 more small med) acc)
    ((med med 4 more small high) acc)
    ((med med 4 more med low) unacc)
    ((med med 4 more med med) acc)
    ((med med 4 more med high) vgood)
    ((med med 4 more big low) unacc)
    ((med med 4 more big med) acc)
    ((med med 4 more big high) vgood)
    ((med med 5more 2 small low) unacc)
    ((med med 5more 2 small med) unacc)
    ((med med 5more 2 small high) unacc)
    ((med med 5more 2 med low) unacc)
    ((med med 5more 2 med med) unacc)
    ((med med 5more 2 med high) unacc)
    ((med med 5more 2 big low) unacc)
    ((med med 5more 2 big med) unacc)
    ((med med 5more 2 big high) unacc)
    ((med med 5more 4 small low) unacc)
    ((med med 5more 4 small med) acc)
    ((med med 5more 4 small high) acc)
    ((med med 5more 4 med low) unacc)
    ((med med 5more 4 med med) acc)
    ((med med 5more 4 med high) vgood)
    ((med med 5more 4 big low) unacc)
    ((med med 5more 4 big med) acc)
    ((med med 5more 4 big high) vgood)
    ((med med 5more more small low) unacc)
    ((med med 5more more small med) acc)
    ((med med 5more more small high) acc)
    ((med med 5more more med low) unacc)
    ((med med 5more more med med) acc)
    ((med med 5more more med high) vgood)
    ((med med 5more more big low) unacc)
    ((med med 5more more big med) acc)
    ((med med 5more more big high) vgood)
    ((med low 2 2 small low) unacc)
    ((med low 2 2 small med) unacc)
    ((med low 2 2 small high) unacc)
    ((med low 2 2 med low) unacc)
    ((med low 2 2 med med) unacc)
    ((med low 2 2 med high) unacc)
    ((med low 2 2 big low) unacc)
    ((med low 2 2 big med) unacc)
    ((med low 2 2 big high) unacc)
    ((med low 2 4 small low) unacc)
    ((med low 2 4 small med) acc)
    ((med low 2 4 small high) good)
    ((med low 2 4 med low) unacc)
    ((med low 2 4 med med) acc)
    ((med low 2 4 med high) good)
    ((med low 2 4 big low) unacc)
    ((med low 2 4 big med) good)
    ((med low 2 4 big high) vgood)
    ((med low 2 more small low) unacc)
    ((med low 2 more small med) unacc)
    ((med low 2 more small high) unacc)
    ((med low 2 more med low) unacc)
    ((med low 2 more med med) acc)
    ((med low 2 more med high) good)
    ((med low 2 more big low) unacc)
    ((med low 2 more big med) good)
    ((med low 2 more big high) vgood)
    ((med low 3 2 small low) unacc)
    ((med low 3 2 small med) unacc)
    ((med low 3 2 small high) unacc)
    ((med low 3 2 med low) unacc)
    ((med low 3 2 med med) unacc)
    ((med low 3 2 med high) unacc)
    ((med low 3 2 big low) unacc)
    ((med low 3 2 big med) unacc)
    ((med low 3 2 big high) unacc)
    ((med low 3 4 small low) unacc)
    ((med low 3 4 small med) acc)
    ((med low 3 4 small high) good)
    ((med low 3 4 med low) unacc)
    ((med low 3 4 med med) acc)
    ((med low 3 4 med high) good)
    ((med low 3 4 big low) unacc)
    ((med low 3 4 big med) good)
    ((med low 3 4 big high) vgood)
    ((med low 3 more small low) unacc)
    ((med low 3 more small med) acc)
    ((med low 3 more small high) good)
    ((med low 3 more med low) unacc)
    ((med low 3 more med med) good)
    ((med low 3 more med high) vgood)
    ((med low 3 more big low) unacc)
    ((med low 3 more big med) good)
    ((med low 3 more big high) vgood)
    ((med low 4 2 small low) unacc)
    ((med low 4 2 small med) unacc)
    ((med low 4 2 small high) unacc)
    ((med low 4 2 med low) unacc)
    ((med low 4 2 med med) unacc)
    ((med low 4 2 med high) unacc)
    ((med low 4 2 big low) unacc)
    ((med low 4 2 big med) unacc)
    ((med low 4 2 big high) unacc)
    ((med low 4 4 small low) unacc)
    ((med low 4 4 small med) acc)
    ((med low 4 4 small high) good)
    ((med low 4 4 med low) unacc)
    ((med low 4 4 med med) good)
    ((med low 4 4 med high) vgood)
    ((med low 4 4 big low) unacc)
    ((med low 4 4 big med) good)
    ((med low 4 4 big high) vgood)
    ((med low 4 more small low) unacc)
    ((med low 4 more small med) acc)
    ((med low 4 more small high) good)
    ((med low 4 more med low) unacc)
    ((med low 4 more med med) good)
    ((med low 4 more med high) vgood)
    ((med low 4 more big low) unacc)
    ((med low 4 more big med) good)
    ((med low 4 more big high) vgood)
    ((med low 5more 2 small low) unacc)
    ((med low 5more 2 small med) unacc)
    ((med low 5more 2 small high) unacc)
    ((med low 5more 2 med low) unacc)
    ((med low 5more 2 med med) unacc)
    ((med low 5more 2 med high) unacc)
    ((med low 5more 2 big low) unacc)
    ((med low 5more 2 big med) unacc)
    ((med low 5more 2 big high) unacc)
    ((med low 5more 4 small low) unacc)
    ((med low 5more 4 small med) acc)
    ((med low 5more 4 small high) good)
    ((med low 5more 4 med low) unacc)
    ((med low 5more 4 med med) good)
    ((med low 5more 4 med high) vgood)
    ((med low 5more 4 big low) unacc)
    ((med low 5more 4 big med) good)
    ((med low 5more 4 big high) vgood)
    ((med low 5more more small low) unacc)
    ((med low 5more more small med) acc)
    ((med low 5more more small high) good)
    ((med low 5more more med low) unacc)
    ((med low 5more more med med) good)
    ((med low 5more more med high) vgood)
    ((med low 5more more big low) unacc)
    ((med low 5more more big med) good)
    ((med low 5more more big high) vgood)
    ((low vhigh 2 2 small low) unacc)
    ((low vhigh 2 2 small med) unacc)
    ((low vhigh 2 2 small high) unacc)
    ((low vhigh 2 2 med low) unacc)
    ((low vhigh 2 2 med med) unacc)
    ((low vhigh 2 2 med high) unacc)
    ((low vhigh 2 2 big low) unacc)
    ((low vhigh 2 2 big med) unacc)
    ((low vhigh 2 2 big high) unacc)
    ((low vhigh 2 4 small low) unacc)
    ((low vhigh 2 4 small med) unacc)
    ((low vhigh 2 4 small high) acc)
    ((low vhigh 2 4 med low) unacc)
    ((low vhigh 2 4 med med) unacc)
    ((low vhigh 2 4 med high) acc)
    ((low vhigh 2 4 big low) unacc)
    ((low vhigh 2 4 big med) acc)
    ((low vhigh 2 4 big high) acc)
    ((low vhigh 2 more small low) unacc)
    ((low vhigh 2 more small med) unacc)
    ((low vhigh 2 more small high) unacc)
    ((low vhigh 2 more med low) unacc)
    ((low vhigh 2 more med med) unacc)
    ((low vhigh 2 more med high) acc)
    ((low vhigh 2 more big low) unacc)
    ((low vhigh 2 more big med) acc)
    ((low vhigh 2 more big high) acc)
    ((low vhigh 3 2 small low) unacc)
    ((low vhigh 3 2 small med) unacc)
    ((low vhigh 3 2 small high) unacc)
    ((low vhigh 3 2 med low) unacc)
    ((low vhigh 3 2 med med) unacc)
    ((low vhigh 3 2 med high) unacc)
    ((low vhigh 3 2 big low) unacc)
    ((low vhigh 3 2 big med) unacc)
    ((low vhigh 3 2 big high) unacc)
    ((low vhigh 3 4 small low) unacc)
    ((low vhigh 3 4 small med) unacc)
    ((low vhigh 3 4 small high) acc)
    ((low vhigh 3 4 med low) unacc)
    ((low vhigh 3 4 med med) unacc)
    ((low vhigh 3 4 med high) acc)
    ((low vhigh 3 4 big low) unacc)
    ((low vhigh 3 4 big med) acc)
    ((low vhigh 3 4 big high) acc)
    ((low vhigh 3 more small low) unacc)
    ((low vhigh 3 more small med) unacc)
    ((low vhigh 3 more small high) acc)
    ((low vhigh 3 more med low) unacc)
    ((low vhigh 3 more med med) acc)
    ((low vhigh 3 more med high) acc)
    ((low vhigh 3 more big low) unacc)
    ((low vhigh 3 more big med) acc)
    ((low vhigh 3 more big high) acc)
    ((low vhigh 4 2 small low) unacc)
    ((low vhigh 4 2 small med) unacc)
    ((low vhigh 4 2 small high) unacc)
    ((low vhigh 4 2 med low) unacc)
    ((low vhigh 4 2 med med) unacc)
    ((low vhigh 4 2 med high) unacc)
    ((low vhigh 4 2 big low) unacc)
    ((low vhigh 4 2 big med) unacc)
    ((low vhigh 4 2 big high) unacc)
    ((low vhigh 4 4 small low) unacc)
    ((low vhigh 4 4 small med) unacc)
    ((low vhigh 4 4 small high) acc)
    ((low vhigh 4 4 med low) unacc)
    ((low vhigh 4 4 med med) acc)
    ((low vhigh 4 4 med high) acc)
    ((low vhigh 4 4 big low) unacc)
    ((low vhigh 4 4 big med) acc)
    ((low vhigh 4 4 big high) acc)
    ((low vhigh 4 more small low) unacc)
    ((low vhigh 4 more small med) unacc)
    ((low vhigh 4 more small high) acc)
    ((low vhigh 4 more med low) unacc)
    ((low vhigh 4 more med med) acc)
    ((low vhigh 4 more med high) acc)
    ((low vhigh 4 more big low) unacc)
    ((low vhigh 4 more big med) acc)
    ((low vhigh 4 more big high) acc)
    ((low vhigh 5more 2 small low) unacc)
    ((low vhigh 5more 2 small med) unacc)
    ((low vhigh 5more 2 small high) unacc)
    ((low vhigh 5more 2 med low) unacc)
    ((low vhigh 5more 2 med med) unacc)
    ((low vhigh 5more 2 med high) unacc)
    ((low vhigh 5more 2 big low) unacc)
    ((low vhigh 5more 2 big med) unacc)
    ((low vhigh 5more 2 big high) unacc)
    ((low vhigh 5more 4 small low) unacc)
    ((low vhigh 5more 4 small med) unacc)
    ((low vhigh 5more 4 small high) acc)
    ((low vhigh 5more 4 med low) unacc)
    ((low vhigh 5more 4 med med) acc)
    ((low vhigh 5more 4 med high) acc)
    ((low vhigh 5more 4 big low) unacc)
    ((low vhigh 5more 4 big med) acc)
    ((low vhigh 5more 4 big high) acc)
    ((low vhigh 5more more small low) unacc)
    ((low vhigh 5more more small med) unacc)
    ((low vhigh 5more more small high) acc)
    ((low vhigh 5more more med low) unacc)
    ((low vhigh 5more more med med) acc)
    ((low vhigh 5more more med high) acc)
    ((low vhigh 5more more big low) unacc)
    ((low vhigh 5more more big med) acc)
    ((low vhigh 5more more big high) acc)
    ((low high 2 2 small low) unacc)
    ((low high 2 2 small med) unacc)
    ((low high 2 2 small high) unacc)
    ((low high 2 2 med low) unacc)
    ((low high 2 2 med med) unacc)
    ((low high 2 2 med high) unacc)
    ((low high 2 2 big low) unacc)
    ((low high 2 2 big med) unacc)
    ((low high 2 2 big high) unacc)
    ((low high 2 4 small low) unacc)
    ((low high 2 4 small med) acc)
    ((low high 2 4 small high) acc)
    ((low high 2 4 med low) unacc)
    ((low high 2 4 med med) acc)
    ((low high 2 4 med high) acc)
    ((low high 2 4 big low) unacc)
    ((low high 2 4 big med) acc)
    ((low high 2 4 big high) vgood)
    ((low high 2 more small low) unacc)
    ((low high 2 more small med) unacc)
    ((low high 2 more small high) unacc)
    ((low high 2 more med low) unacc)
    ((low high 2 more med med) acc)
    ((low high 2 more med high) acc)
    ((low high 2 more big low) unacc)
    ((low high 2 more big med) acc)
    ((low high 2 more big high) vgood)
    ((low high 3 2 small low) unacc)
    ((low high 3 2 small med) unacc)
    ((low high 3 2 small high) unacc)
    ((low high 3 2 med low) unacc)
    ((low high 3 2 med med) unacc)
    ((low high 3 2 med high) unacc)
    ((low high 3 2 big low) unacc)
    ((low high 3 2 big med) unacc)
    ((low high 3 2 big high) unacc)
    ((low high 3 4 small low) unacc)
    ((low high 3 4 small med) acc)
    ((low high 3 4 small high) acc)
    ((low high 3 4 med low) unacc)
    ((low high 3 4 med med) acc)
    ((low high 3 4 med high) acc)
    ((low high 3 4 big low) unacc)
    ((low high 3 4 big med) acc)
    ((low high 3 4 big high) vgood)
    ((low high 3 more small low) unacc)
    ((low high 3 more small med) acc)
    ((low high 3 more small high) acc)
    ((low high 3 more med low) unacc)
    ((low high 3 more med med) acc)
    ((low high 3 more med high) vgood)
    ((low high 3 more big low) unacc)
    ((low high 3 more big med) acc)
    ((low high 3 more big high) vgood)
    ((low high 4 2 small low) unacc)
    ((low high 4 2 small med) unacc)
    ((low high 4 2 small high) unacc)
    ((low high 4 2 med low) unacc)
    ((low high 4 2 med med) unacc)
    ((low high 4 2 med high) unacc)
    ((low high 4 2 big low) unacc)
    ((low high 4 2 big med) unacc)
    ((low high 4 2 big high) unacc)
    ((low high 4 4 small low) unacc)
    ((low high 4 4 small med) acc)
    ((low high 4 4 small high) acc)
    ((low high 4 4 med low) unacc)
    ((low high 4 4 med med) acc)
    ((low high 4 4 med high) vgood)
    ((low high 4 4 big low) unacc)
    ((low high 4 4 big med) acc)
    ((low high 4 4 big high) vgood)
    ((low high 4 more small low) unacc)
    ((low high 4 more small med) acc)
    ((low high 4 more small high) acc)
    ((low high 4 more med low) unacc)
    ((low high 4 more med med) acc)
    ((low high 4 more med high) vgood)
    ((low high 4 more big low) unacc)
    ((low high 4 more big med) acc)
    ((low high 4 more big high) vgood)
    ((low high 5more 2 small low) unacc)
    ((low high 5more 2 small med) unacc)
    ((low high 5more 2 small high) unacc)
    ((low high 5more 2 med low) unacc)
    ((low high 5more 2 med med) unacc)
    ((low high 5more 2 med high) unacc)
    ((low high 5more 2 big low) unacc)
    ((low high 5more 2 big med) unacc)
    ((low high 5more 2 big high) unacc)
    ((low high 5more 4 small low) unacc)
    ((low high 5more 4 small med) acc)
    ((low high 5more 4 small high) acc)
    ((low high 5more 4 med low) unacc)
    ((low high 5more 4 med med) acc)
    ((low high 5more 4 med high) vgood)
    ((low high 5more 4 big low) unacc)
    ((low high 5more 4 big med) acc)
    ((low high 5more 4 big high) vgood)
    ((low high 5more more small low) unacc)
    ((low high 5more more small med) acc)
    ((low high 5more more small high) acc)
    ((low high 5more more med low) unacc)
    ((low high 5more more med med) acc)
    ((low high 5more more med high) vgood)
    ((low high 5more more big low) unacc)
    ((low high 5more more big med) acc)
    ((low high 5more more big high) vgood)
    ((low med 2 2 small low) unacc)
    ((low med 2 2 small med) unacc)
    ((low med 2 2 small high) unacc)
    ((low med 2 2 med low) unacc)
    ((low med 2 2 med med) unacc)
    ((low med 2 2 med high) unacc)
    ((low med 2 2 big low) unacc)
    ((low med 2 2 big med) unacc)
    ((low med 2 2 big high) unacc)
    ((low med 2 4 small low) unacc)
    ((low med 2 4 small med) acc)
    ((low med 2 4 small high) good)
    ((low med 2 4 med low) unacc)
    ((low med 2 4 med med) acc)
    ((low med 2 4 med high) good)
    ((low med 2 4 big low) unacc)
    ((low med 2 4 big med) good)
    ((low med 2 4 big high) vgood)
    ((low med 2 more small low) unacc)
    ((low med 2 more small med) unacc)
    ((low med 2 more small high) unacc)
    ((low med 2 more med low) unacc)
    ((low med 2 more med med) acc)
    ((low med 2 more med high) good)
    ((low med 2 more big low) unacc)
    ((low med 2 more big med) good)
    ((low med 2 more big high) vgood)
    ((low med 3 2 small low) unacc)
    ((low med 3 2 small med) unacc)
    ((low med 3 2 small high) unacc)
    ((low med 3 2 med low) unacc)
    ((low med 3 2 med med) unacc)
    ((low med 3 2 med high) unacc)
    ((low med 3 2 big low) unacc)
    ((low med 3 2 big med) unacc)
    ((low med 3 2 big high) unacc)
    ((low med 3 4 small low) unacc)
    ((low med 3 4 small med) acc)
    ((low med 3 4 small high) good)
    ((low med 3 4 med low) unacc)
    ((low med 3 4 med med) acc)
    ((low med 3 4 med high) good)
    ((low med 3 4 big low) unacc)
    ((low med 3 4 big med) good)
    ((low med 3 4 big high) vgood)
    ((low med 3 more small low) unacc)
    ((low med 3 more small med) acc)
    ((low med 3 more small high) good)
    ((low med 3 more med low) unacc)
    ((low med 3 more med med) good)
    ((low med 3 more med high) vgood)
    ((low med 3 more big low) unacc)
    ((low med 3 more big med) good)
    ((low med 3 more big high) vgood)
    ((low med 4 2 small low) unacc)
    ((low med 4 2 small med) unacc)
    ((low med 4 2 small high) unacc)
    ((low med 4 2 med low) unacc)
    ((low med 4 2 med med) unacc)
    ((low med 4 2 med high) unacc)
    ((low med 4 2 big low) unacc)
    ((low med 4 2 big med) unacc)
    ((low med 4 2 big high) unacc)
    ((low med 4 4 small low) unacc)
    ((low med 4 4 small med) acc)
    ((low med 4 4 small high) good)
    ((low med 4 4 med low) unacc)
    ((low med 4 4 med med) good)
    ((low med 4 4 med high) vgood)
    ((low med 4 4 big low) unacc)
    ((low med 4 4 big med) good)
    ((low med 4 4 big high) vgood)
    ((low med 4 more small low) unacc)
    ((low med 4 more small med) acc)
    ((low med 4 more small high) good)
    ((low med 4 more med low) unacc)
    ((low med 4 more med med) good)
    ((low med 4 more med high) vgood)
    ((low med 4 more big low) unacc)
    ((low med 4 more big med) good)
    ((low med 4 more big high) vgood)
    ((low med 5more 2 small low) unacc)
    ((low med 5more 2 small med) unacc)
    ((low med 5more 2 small high) unacc)
    ((low med 5more 2 med low) unacc)
    ((low med 5more 2 med med) unacc)
    ((low med 5more 2 med high) unacc)
    ((low med 5more 2 big low) unacc)
    ((low med 5more 2 big med) unacc)
    ((low med 5more 2 big high) unacc)
    ((low med 5more 4 small low) unacc)
    ((low med 5more 4 small med) acc)
    ((low med 5more 4 small high) good)
    ((low med 5more 4 med low) unacc)
    ((low med 5more 4 med med) good)
    ((low med 5more 4 med high) vgood)
    ((low med 5more 4 big low) unacc)
    ((low med 5more 4 big med) good)
    ((low med 5more 4 big high) vgood)
    ((low med 5more more small low) unacc)
    ((low med 5more more small med) acc)
    ((low med 5more more small high) good)
    ((low med 5more more med low) unacc)
    ((low med 5more more med med) good)
    ((low med 5more more med high) vgood)
    ((low med 5more more big low) unacc)
    ((low med 5more more big med) good)
    ((low med 5more more big high) vgood)
    ((low low 2 2 small low) unacc)
    ((low low 2 2 small med) unacc)
    ((low low 2 2 small high) unacc)
    ((low low 2 2 med low) unacc)
    ((low low 2 2 med med) unacc)
    ((low low 2 2 med high) unacc)
    ((low low 2 2 big low) unacc)
    ((low low 2 2 big med) unacc)
    ((low low 2 2 big high) unacc)
    ((low low 2 4 small low) unacc)
    ((low low 2 4 small med) acc)
    ((low low 2 4 small high) good)
    ((low low 2 4 med low) unacc)
    ((low low 2 4 med med) acc)
    ((low low 2 4 med high) good)
    ((low low 2 4 big low) unacc)
    ((low low 2 4 big med) good)
    ((low low 2 4 big high) vgood)
    ((low low 2 more small low) unacc)
    ((low low 2 more small med) unacc)
    ((low low 2 more small high) unacc)
    ((low low 2 more med low) unacc)
    ((low low 2 more med med) acc)
    ((low low 2 more med high) good)
    ((low low 2 more big low) unacc)
    ((low low 2 more big med) good)
    ((low low 2 more big high) vgood)
    ((low low 3 2 small low) unacc)
    ((low low 3 2 small med) unacc)
    ((low low 3 2 small high) unacc)
    ((low low 3 2 med low) unacc)
    ((low low 3 2 med med) unacc)
    ((low low 3 2 med high) unacc)
    ((low low 3 2 big low) unacc)
    ((low low 3 2 big med) unacc)
    ((low low 3 2 big high) unacc)
    ((low low 3 4 small low) unacc)
    ((low low 3 4 small med) acc)
    ((low low 3 4 small high) good)
    ((low low 3 4 med low) unacc)
    ((low low 3 4 med med) acc)
    ((low low 3 4 med high) good)
    ((low low 3 4 big low) unacc)
    ((low low 3 4 big med) good)
    ((low low 3 4 big high) vgood)
    ((low low 3 more small low) unacc)
    ((low low 3 more small med) acc)
    ((low low 3 more small high) good)
    ((low low 3 more med low) unacc)
    ((low low 3 more med med) good)
    ((low low 3 more med high) vgood)
    ((low low 3 more big low) unacc)
    ((low low 3 more big med) good)
    ((low low 3 more big high) vgood)
    ((low low 4 2 small low) unacc)
    ((low low 4 2 small med) unacc)
    ((low low 4 2 small high) unacc)
    ((low low 4 2 med low) unacc)
    ((low low 4 2 med med) unacc)
    ((low low 4 2 med high) unacc)
    ((low low 4 2 big low) unacc)
    ((low low 4 2 big med) unacc)
    ((low low 4 2 big high) unacc)
    ((low low 4 4 small low) unacc)
    ((low low 4 4 small med) acc)
    ((low low 4 4 small high) good)
    ((low low 4 4 med low) unacc)
    ((low low 4 4 med med) good)
    ((low low 4 4 med high) vgood)
    ((low low 4 4 big low) unacc)
    ((low low 4 4 big med) good)
    ((low low 4 4 big high) vgood)
    ((low low 4 more small low) unacc)
    ((low low 4 more small med) acc)
    ((low low 4 more small high) good)
    ((low low 4 more med low) unacc)
    ((low low 4 more med med) good)
    ((low low 4 more med high) vgood)
    ((low low 4 more big low) unacc)
    ((low low 4 more big med) good)
    ((low low 4 more big high) vgood)
    ((low low 5more 2 small low) unacc)
    ((low low 5more 2 small med) unacc)
    ((low low 5more 2 small high) unacc)
    ((low low 5more 2 med low) unacc)
    ((low low 5more 2 med med) unacc)
    ((low low 5more 2 med high) unacc)
    ((low low 5more 2 big low) unacc)
    ((low low 5more 2 big med) unacc)
    ((low low 5more 2 big high) unacc)
    ((low low 5more 4 small low) unacc)
    ((low low 5more 4 small med) acc)
    ((low low 5more 4 small high) good)
    ((low low 5more 4 med low) unacc)
    ((low low 5more 4 med med) good)
    ((low low 5more 4 med high) vgood)
    ((low low 5more 4 big low) unacc)
    ((low low 5more 4 big med) good)
    ((low low 5more 4 big high) vgood)
    ((low low 5more more small low) unacc)
    ((low low 5more more small med) acc)
    ((low low 5more more small high) good)
    ((low low 5more more med low) unacc)
    ((low low 5more more med med) good)
    ((low low 5more more med high) vgood)
    ((low low 5more more big low) unacc)
    ((low low 5more more big med) good)
    ((low low 5more more big high) vgood)))
